[
{
  "directory": "/Users/moye/code/Design/build/SimpleFactory",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/simpleFactory.dir/main.cpp.o -c /Users/moye/code/Design/SimpleFactory/main.cpp",
  "file": "/Users/moye/code/Design/SimpleFactory/main.cpp",
  "output": "SimpleFactory/CMakeFiles/simpleFactory.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/factoryMethod",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/factoryMethod.dir/main.cpp.o -c /Users/moye/code/Design/factoryMethod/main.cpp",
  "file": "/Users/moye/code/Design/factoryMethod/main.cpp",
  "output": "factoryMethod/CMakeFiles/factoryMethod.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/abstractFactory",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/abstractFactory.dir/main.cpp.o -c /Users/moye/code/Design/abstractFactory/main.cpp",
  "file": "/Users/moye/code/Design/abstractFactory/main.cpp",
  "output": "abstractFactory/CMakeFiles/abstractFactory.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/builder",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/builder.dir/main.cpp.o -c /Users/moye/code/Design/builder/main.cpp",
  "file": "/Users/moye/code/Design/builder/main.cpp",
  "output": "builder/CMakeFiles/builder.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/singleton",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/singleton.dir/main.cpp.o -c /Users/moye/code/Design/singleton/main.cpp",
  "file": "/Users/moye/code/Design/singleton/main.cpp",
  "output": "singleton/CMakeFiles/singleton.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/clone",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/clone.dir/main.cpp.o -c /Users/moye/code/Design/clone/main.cpp",
  "file": "/Users/moye/code/Design/clone/main.cpp",
  "output": "clone/CMakeFiles/clone.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/proxy",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/proxy.dir/main.cpp.o -c /Users/moye/code/Design/proxy/main.cpp",
  "file": "/Users/moye/code/Design/proxy/main.cpp",
  "output": "proxy/CMakeFiles/proxy.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/bridge",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/bridge.dir/main.cpp.o -c /Users/moye/code/Design/bridge/main.cpp",
  "file": "/Users/moye/code/Design/bridge/main.cpp",
  "output": "bridge/CMakeFiles/bridge.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/decorator",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/decorator.dir/main.cpp.o -c /Users/moye/code/Design/decorator/main.cpp",
  "file": "/Users/moye/code/Design/decorator/main.cpp",
  "output": "decorator/CMakeFiles/decorator.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/adapter",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/adapter.dir/main.cpp.o -c /Users/moye/code/Design/adapter/main.cpp",
  "file": "/Users/moye/code/Design/adapter/main.cpp",
  "output": "adapter/CMakeFiles/adapter.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/facade",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/facade.dir/main.cpp.o -c /Users/moye/code/Design/facade/main.cpp",
  "file": "/Users/moye/code/Design/facade/main.cpp",
  "output": "facade/CMakeFiles/facade.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/composite",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/composite.dir/main.cpp.o -c /Users/moye/code/Design/composite/main.cpp",
  "file": "/Users/moye/code/Design/composite/main.cpp",
  "output": "composite/CMakeFiles/composite.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/flyweight",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/flyWeight.dir/main.cpp.o -c /Users/moye/code/Design/flyweight/main.cpp",
  "file": "/Users/moye/code/Design/flyweight/main.cpp",
  "output": "flyweight/CMakeFiles/flyWeight.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/observer",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/observer.dir/main.cpp.o -c /Users/moye/code/Design/observer/main.cpp",
  "file": "/Users/moye/code/Design/observer/main.cpp",
  "output": "observer/CMakeFiles/observer.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/template",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/template.dir/main.cpp.o -c /Users/moye/code/Design/template/main.cpp",
  "file": "/Users/moye/code/Design/template/main.cpp",
  "output": "template/CMakeFiles/template.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/strategy",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/strategy.dir/main.cpp.o -c /Users/moye/code/Design/strategy/main.cpp",
  "file": "/Users/moye/code/Design/strategy/main.cpp",
  "output": "strategy/CMakeFiles/strategy.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/chainOfResponsibility",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/chainOfResponsibility.dir/main.cpp.o -c /Users/moye/code/Design/chainOfResponsibility/main.cpp",
  "file": "/Users/moye/code/Design/chainOfResponsibility/main.cpp",
  "output": "chainOfResponsibility/CMakeFiles/chainOfResponsibility.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/state",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/state.dir/main.cpp.o -c /Users/moye/code/Design/state/main.cpp",
  "file": "/Users/moye/code/Design/state/main.cpp",
  "output": "state/CMakeFiles/state.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/state",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/state.dir/State.cpp.o -c /Users/moye/code/Design/state/State.cpp",
  "file": "/Users/moye/code/Design/state/State.cpp",
  "output": "state/CMakeFiles/state.dir/State.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/iterator",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/iterator.dir/main.cpp.o -c /Users/moye/code/Design/iterator/main.cpp",
  "file": "/Users/moye/code/Design/iterator/main.cpp",
  "output": "iterator/CMakeFiles/iterator.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/iterator",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/iterator.dir/Iterator.cpp.o -c /Users/moye/code/Design/iterator/Iterator.cpp",
  "file": "/Users/moye/code/Design/iterator/Iterator.cpp",
  "output": "iterator/CMakeFiles/iterator.dir/Iterator.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/visitor",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/visitor.dir/main.cpp.o -c /Users/moye/code/Design/visitor/main.cpp",
  "file": "/Users/moye/code/Design/visitor/main.cpp",
  "output": "visitor/CMakeFiles/visitor.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/visitor",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/visitor.dir/Visitor.cpp.o -c /Users/moye/code/Design/visitor/Visitor.cpp",
  "file": "/Users/moye/code/Design/visitor/Visitor.cpp",
  "output": "visitor/CMakeFiles/visitor.dir/Visitor.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/memento",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/memento.dir/main.cpp.o -c /Users/moye/code/Design/memento/main.cpp",
  "file": "/Users/moye/code/Design/memento/main.cpp",
  "output": "memento/CMakeFiles/memento.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/memento",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/memento.dir/Memento.cpp.o -c /Users/moye/code/Design/memento/Memento.cpp",
  "file": "/Users/moye/code/Design/memento/Memento.cpp",
  "output": "memento/CMakeFiles/memento.dir/Memento.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/command",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/command.dir/main.cpp.o -c /Users/moye/code/Design/command/main.cpp",
  "file": "/Users/moye/code/Design/command/main.cpp",
  "output": "command/CMakeFiles/command.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/interpreter",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/interpreter.dir/main.cpp.o -c /Users/moye/code/Design/interpreter/main.cpp",
  "file": "/Users/moye/code/Design/interpreter/main.cpp",
  "output": "interpreter/CMakeFiles/interpreter.dir/main.cpp.o"
},
{
  "directory": "/Users/moye/code/Design/build/mediator",
  "command": "/usr/bin/clang++   -g -std=gnu++11 -arch arm64 -o CMakeFiles/mediator.dir/main.cpp.o -c /Users/moye/code/Design/mediator/main.cpp",
  "file": "/Users/moye/code/Design/mediator/main.cpp",
  "output": "mediator/CMakeFiles/mediator.dir/main.cpp.o"
}
]